Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class DoubleAttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadm.editors.DoubleAttributeEditor

public class DoubleAttributeEditor
extends AttributeEditor

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`DoubleAttributeEditor()`

Method Summary
`void` | `clearChanged()` set the current value to be the original value, ie: changed must return false after a reset.
`java.awt.Component` | `getComponent()` get the Component created by the editor.
`java.lang.Object` | `getValue()` Get the current value of the edited value
`boolean` | `hasChanged()` Tells if the edited value has changed
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`void` | `resetChanges()` reset the changes (if any)
`void` | `setValue(java.lang.Object o)` Set the value of the edited value

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleAttributeEditor

    public DoubleAttributeEditor()

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells if the edited value has changed
  Returns:
    true if the value changed.

### clearChanged

    public void clearChanged()

  set the current value to be the original value, ie: changed must return false after a reset.

### resetChanges

    public void resetChanges()

  reset the changes (if any)

### getValue

    public java.lang.Object getValue()

  Get the current value of the edited value
  Returns:
    an object or null if the object was not initialized

### setValue

    public void setValue(java.lang.Object o)

  Set the value of the edited value
  Parameters:
    `o` - the new value.

### getComponent

    public java.awt.Component getComponent()

  get the Component created by the editor.
  Overrides:
    getComponent in class AttributeEditor
  Returns:
    a Component

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD